Bug 1494427 - Child type container_t exceeds bounds of parent container_runtime_t
Summary: Child type container_t exceeds bounds of parent container_runtime_t
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: container-selinux
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-22 08:56 UTC by Petr Lautrbach
Modified: 2017-10-02 02:50 UTC (History)
6 users (show)

Fixed In Version: container-selinux-2.24-1.fc27 container-selinux-2.24-1.fc25 container-selinux-2.24-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-01 18:17:41 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Lautrbach 2017-09-22 08:56:48 UTC
Description of problem:

$ sudo dnf install container-selinux

Running scriptlet: container-selinux-2:2.22-1.fc27.noarch                                                                                                                                                      1/1
Child type container_t exceeds bounds of parent container_runtime_t
  (allow container_t container_t (tun_socket (ioctl read write create getattr setattr lock append bind connect getopt setopt shutdown)))
    <root>
    allow at /var/lib/selinux/targeted/tmp/modules/200/container/cil:1246
      (allow container_t self (tun_socket (ioctl read write create getattr setattr lock append bind connect getopt setopt shutdown)))
  (allow container_t sysctl_rpc_t (file (write append)))
    <root>
    allow at /var/lib/selinux/targeted/tmp/modules/200/container/cil:1201
      (allow container_t sysctl_rpc_t (file (ioctl read write getattr lock append open)))
Failed to generate binary
/usr/sbin/semodule:  Failed!
  Verifying        : container-selinux-2:2.22-1.fc27.noarch                          


Version-Release number of selected component (if applicable):

container-selinux-2:2.22-1.fc27.noarch

Comment 1 Daniel Walsh 2017-09-22 11:10:38 UTC
Fixed in container-selinux-2.24-1

Comment 2 Fedora Update System 2017-09-22 12:48:44 UTC
container-selinux-2.24-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-85a3632156

Comment 3 Fedora Update System 2017-09-22 12:49:12 UTC
container-selinux-2.24-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-90d5ed7a4c

Comment 4 Fedora Update System 2017-09-22 12:49:33 UTC
container-selinux-2.24-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c280874eff

Comment 5 Fedora Update System 2017-09-22 17:55:29 UTC
container-selinux-2.24-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-90d5ed7a4c

Comment 6 Fedora Update System 2017-09-23 00:28:52 UTC
container-selinux-2.24-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-85a3632156

Comment 7 Fedora Update System 2017-09-23 02:25:44 UTC
container-selinux-2.24-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c280874eff

Comment 8 Fedora Update System 2017-10-01 18:17:41 UTC
container-selinux-2.24-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-10-01 23:20:32 UTC
container-selinux-2.24-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-10-02 02:50:05 UTC
container-selinux-2.24-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.